Package org.apache.tools.ant.taskdefs.cvslib

# Class CvsUser

java.lang.Object
org.apache.tools.ant.taskdefs.cvslib.CvsUser

    public class CvsUser
    extends java.lang.Object

Represents a CVS user with a userID and a full name.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CvsUser()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getDisplayname()` | Get the user's full name
`java.lang.String` | `getUserID()` | Get the user's id.
`void` | `setDisplayname​(java.lang.String displayName)` | Set the user's fullname
`void` | `setUserid​(java.lang.String userID)` | Set the user's id
`void` | `validate()` | Validate that this object is configured.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CvsUser

public CvsUser()

## Method Details

### setDisplayname

public void setDisplayname​(java.lang.String displayName)
Set the user's fullname

Parameters:
  `displayName` - the user's full name

### setUserid

public void setUserid​(java.lang.String userID)
Set the user's id

Parameters:
  `userID` - the user's new id value.

### getUserID

public java.lang.String getUserID()
Get the user's id.

Returns:
  The userID value

### getDisplayname

public java.lang.String getDisplayname()
Get the user's full name

Returns:
  the user's full name

### validate

public void validate() throws BuildException
Validate that this object is configured.

Throws:
  `BuildException` - if the instance has not be correctly configured.